<section class="dwfe-form-control-checkbox  dwfe-form-group-material" [formGroup]="group"
         [ngClass]="{'isFilled' : control.value,
                     'isChanged': markIfChanged && isChanged }">

  <mat-checkbox [formControlName]="'ctrl'"
                color='primary'>
    {{labelText}}

    <a class="dwfe-form-control-checkbox__link  dwfe-common-link" *ngIf="labelLinkValue !=='' "
       [routerLink]="labelLinkValue"
       target="_blank">{{labelLinkText}}</a>

  </mat-checkbox>

</section>
